### Name: yourprep
### Title: Data object creation wizard for YourCast
### Aliases: yourprep


### ** Examples

## Not run: 
##D # Working directory automatically set to directory with cross
##D # section and auxiliary files to begin. Files for this example
##D # in 'data' folder of YourCast library.
##D 
##D #Old working directory to be restored later
##D oldwd <- getwd()
##D # Now setting wd to 'data' folder in YourCast library
##D setwd(system.file("data",package="YourCast"))
##D 
##D # Simple run of the function, using option that turns year variable
##D # into label in each cs. Use sample.frame argument for all diagnostics
##D # to work
##D  
##D dta <- yourprep(G.names="cntry.codes.txt",adjacency="adjacency.txt",
##D year.var=TRUE,verbose=TRUE,sample.frame=c(1950,2000,2001,2030))
##D 
##D # With summary output (means of variables in each cross section) 
##D 
##D dta <- yourprep(G.names="cntry.codes.txt",adjacency="adjacency.txt",
##D year.var=TRUE,summary=TRUE)
##D 
##D # Function can also add datafiles already loaded into R as objects in
##D # the workspace with "datalist" option if put into a list and properly
##D # labeled. All diagnostics still performed 
##D # 'csid204545', etc., are dataframes in workspace
##D 
##D # Labels changed to nonsense ones so as not to confuse with other files
##D 
##D data(csid204545)
##D data(csid204550)
##D data(csid204555)
##D 
##D datalist <- list("123456"=csid204545,"234567"=csid204550,
##D "345678"=csid204555) 
##D 
##D # Verbose option turned on and datalist argument added 
##D 
##D dta <- yourprep(G.names="cntry.codes.txt",adjacency="adjacency.txt",
##D year.var=TRUE,verbose=TRUE,datalist=datalist)
##D 
##D # Setting working directory back
##D setwd(oldwd)
##D rm(oldwd)
## End(Not run)



